import 'package:flutter/material.dart';

import 'YSTools.dart';

class YSDottedLine extends StatelessWidget {
  final double width;
  const YSDottedLine({Key? key, required this.width}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return SizedBox(
      width: width,
      height: hsp(1),
      child: ListView.separated(
        itemBuilder: (context,index){
          return Container(
            height: hsp(1),
            width: hsp(5),
            color: Colors.grey.withOpacity(0.2),
          );
        },
        separatorBuilder: (context,index){
          return Container(width: hsp(3),);
        },
        itemCount: 100,
        padding: const EdgeInsets.all(0),
        physics: const NeverScrollableScrollPhysics(),
        scrollDirection: Axis.horizontal,
      ),
    );
  }
}
